Arch Building/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
No edit summary
 
(25 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

<div class="mw-translate-fuzzy">
{{Docnav/ru
|[[Arch_Site/ru|Местность]]
|[[Arch_Floor/ru|Этаж]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|IconL=Arch_Site.svg
|IconR=Arch_Floor.svg
|IconC=Workbench_Arch.svg
}}

{{GuiCommand/ru
{{GuiCommand/ru
|Name=Arch Building
|Name=Arch_Building
|Name/ru=Arch Building
|Name/ru=Здание
|Workbenches=[[Arch Module/ru|Arch]]
|Workbenches=[[Arch_Workbench/ru|Arch]]
|MenuLocation=Архитектура→ Здание
|MenuLocation=Arch Здание
|Shortcut=B U
|Shortcut={{KEY|B}} {{KEY|U}}
|SeeAlso=[[Arch Floor/ru|Этаж]], [[Arch Site/ru|Место]]
|SeeAlso=[[Arch_BuildingPart/ru|Строительная деталь]], [[Arch_Site/ru|Местность]]
}}
}}
</div>


==Описание==
==Описание==
Line 15: Line 23:
Arch Building - это особый тип объекта группы FreeCAD, который особенно подходит для представления целого здания. Они в основном используются для организации вашей модели с помощью объектов [[Arch Floor | floor]].
Arch Building - это особый тип объекта группы FreeCAD, который особенно подходит для представления целого здания. Они в основном используются для организации вашей модели с помощью объектов [[Arch Floor | floor]].


==Применение==
==Использование==


# Optionally, select one or more objects to be included in your new building.
# Optionally, select one or more objects to be included in your new building.
# Press the {{Button|[[Image:Arch Building.svg|16px]] [[Arch Building]]}} button, or press the {{KEY|B}} then {{KEY|U}} keys.
# Press the {{Button|[[Image:Arch Building.svg|16px]] [[Arch Building|Arch Building]]}} button, or press the {{KEY|B}} then {{KEY|U}} keys.


==Options==
==Опции==


* Starting from FreeCAD version 0.18, the Building object is actually a [[Arch BuildingPart|BuildingPart]] with its {{PropertyData|IFC role}} property set to "Building". You can convert any BuildingPart to a Building simply by changing its IFC role.
* Starting from FreeCAD version 0.18, the Building object is actually a [[Arch BuildingPart|BuildingPart]] with its {{PropertyData|IFC Type}} property set to "Building". You can convert any BuildingPart to a Building simply by changing its IFC Type.
* After creating a building, you can add more objects to it by drag and dropping them in the Tree View or by using the {{Button|[[Image:Arch Add.svg|16px]] [[Arch Add]]}} tool.
* After creating a building, you can add more objects to it by drag and dropping them in the Tree View or by using the {{Button|[[Image:Arch Add.svg|16px]] [[Arch Add|Arch Add]]}} tool.
* You can remove objects from a building by drag and dropping them out of it the Tree View or by using the {{Button|[[Image:Arch Remove.svg|16px]] [[Arch Remove]]}} tool.
* You can remove objects from a building by drag and dropping them out of it the Tree View or by using the {{Button|[[Image:Arch Remove.svg|16px]] [[Arch Remove|Arch Remove]]}} tool.


==Свойства==
==Properties==


* {{PropertyData|Building Type}}: The type of this building, to choose from a list
* {{PropertyData|Building Type}}: The type of this building, to choose from a list


==Программирование==
==Scripting==
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].
{{Emphasis|См. так же:}} [[Arch_API/ru|Arch API]] и [[FreeCAD_Scripting_Basics/ru|Основы составления скриптов в FreeCAD]].


The Building tool can be used in [[macros]] and from the [[Python]] console by using the following function:
The Building tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
{{Code|code=
Building = makeBuilding(objectslist=None, baseobj=None, name="Building")
Building = makeBuilding(objectslist=None, baseobj=None, name="Building")
Line 40: Line 48:
* Creates a {{incode|Building}} object from {{incode|objectslist}}, which is a list of objects, or {{incode|baseobj}}, which is a {{incode|Shape}}.
* Creates a {{incode|Building}} object from {{incode|objectslist}}, which is a list of objects, or {{incode|baseobj}}, which is a {{incode|Shape}}.


Пример:
Example:

{{Code|code=
{{Code|code=
import FreeCAD, Draft, Arch
import FreeCAD, Draft, Arch
Line 58: Line 67:
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()
}}
}}

<div class="mw-translate-fuzzy">

[[Category:Arch/ru]]
{{Docnav/ru
</div>
|[[Arch_Site/ru|Местность]]
|[[Arch_Floor/ru|Этаж]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|IconL=Arch_Site.svg
|IconR=Arch_Floor.svg
|IconC=Workbench_Arch.svg
}}

{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 06:46, 26 August 2022

Здание

Системное название
Arch_Building
Расположение в меню
Arch → Здание
Верстаки
Arch
Быстрые клавиши
B U
Представлено в версии
-
См. также
Строительная деталь, Местность

Описание

Arch Building - это особый тип объекта группы FreeCAD, который особенно подходит для представления целого здания. Они в основном используются для организации вашей модели с помощью объектов floor.

Применение

  1. Optionally, select one or more objects to be included in your new building.
  2. Press the Arch Building button, or press the B then U keys.

Опции

  • Starting from FreeCAD version 0.18, the Building object is actually a BuildingPart with its ДанныеIFC Type property set to "Building". You can convert any BuildingPart to a Building simply by changing its IFC Type.
  • After creating a building, you can add more objects to it by drag and dropping them in the Tree View or by using the Arch Add tool.
  • You can remove objects from a building by drag and dropping them out of it the Tree View or by using the Arch Remove tool.

Свойства

  • ДанныеBuilding Type: The type of this building, to choose from a list

Программирование

См. так же: Arch API и Основы составления скриптов в FreeCAD.

The Building tool can be used in macros and from the Python console by using the following function:

Building = makeBuilding(objectslist=None, baseobj=None, name="Building")
  • Creates a Building object from objectslist, which is a list of objects, or baseobj, which is a Shape.

Пример:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Building = Arch.makeBuilding([Wall1, Wall2])

Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()